LArSoft - Support #25218

restructure larrecodnn
11/17/2020 09:39 AM - Lynn Garren

Status: Assigned Start date: 11/17/2020
Priority: High Due date:

Assignee: Michael Wang % Done: 50%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Experiment: - Co-Assignees: Lynn Garren
Description

larrecodnn has optional dependencies on tensorflow and trtis_clients. It should be possible to build for either trtis_clients or
tensorflow. However, all trtis_clients interfaces are found under larrecodnn/ImagePatternAlgs/Tensorflow. This means that
tensorflow is required at all times.

We request that the trtis_clients interface be moved into its own independent subdirectory at same level as the Tensorflow
subdirectory.

History

#1 - 12/03/2020 11:38 AM - Michael Wang

Here is my proposal on how to restructure things. | will first show the current structure followed by the proposed structure. |didn't include every file,
only those that are relevant or will be moved. Files that are not indicated will remain in whatever subdirectory they are currently in. It is assumed that
if those subdirectories are moved, those files will move with them. Please let me know what you think.

CURRENT STRUCTURE:

larrecodnn
|
+-ImagePatternAlgs
|
+- job
|
+- scripts
|
+- Keras
|
+— Tensorflow
|
+— Modules
|
ar— 015
|
+- PointIdAlg
|
+— PointIdAlgTools
| |
| +- IPointIdAlg.h
| |
| +- PointIdAlgKeras_tool.cc
| |
| +- PointIdAlgTf_tool.cc
| |
| +- PointIdAlgTrtis_tool.cc
|
4

WaveformRecogTools
|
+— IWaveformRecog.h
|
+- WaveformRecogTf_tool.cc
|

+- WaveformRecogTrtis_tool.cc
PROPOSED STRUCTURE:

larrecodnn

I
+-ImagePatternAlgs

+- job
+- scripts
+— Modules

+- ToolInterfaces
| |

| +- IPointIdAlg.h

| |

| +- IWaveformRecog.h
|

+— Keras
| |

| +— Tools

| |

| +- PointIdAlgKeras_tool.cc
|

+- Triton

| |

| +— Tools

| |

| +- PointIdAlgTrtis_tool.cc
| |

|

|

+— WaveformRecogTrtis_tool.cc

+— Tensorflow
I
+- TF
I
+- PointIdAlg
I
+— Tools

|
+- PointIdAlgTf_tool.cc

|
+- WaveformRecogTf_tool.cc
#2 - 12/07/2020 11:52 AM - Lynn Garren

We approve the new structure. - Erica, Kyle, Lynn

#3 - 12/14/2020 10:24 AM - Kyle Knoepfel
- % Done changed from 0 to 50

- Co-Assignees Lynn Garren added

#4 - 12/14/2020 10:28 AM - Michael Wang

| created a pull request last week:

https://github.com/LArSoft/larrecodnn/pull/13
